Bug 503530 - gfs2_edit produces unaligned access
gfs2_edit produces unaligned access
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.4
ia64 Linux
low Severity medium
: rc
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 11:30 EDT by Jaroslav Kortus
Modified: 2010-03-30 04:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: gfs2-utils-0.1.62-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (1.85 KB, patch)
2009-07-17 16:36 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Jaroslav Kortus 2009-06-01 11:30:27 EDT
Description of problem:
gfs2_edit(20731): unaligned access to 0x600000000005b2ee, ip=0x400000000004d160

Version-Release number of selected component (if applicable):
gfs2-utils-0.1.57-1.el5 

How reproducible:
gfs2_edit savemeta /dev/sdc1 metadata

Steps to Reproduce:
1. mkfs.gfs2 -t a3cluster:a3gfs2 -p lock_nolock -j 2 -J 8 /dev/sdc1
2. gfs2_edit savemeta /dev/sdc1 metadata
3.
  
Actual results:
metadata saved, unaligned access reported

Expected results:
metadata saved, no unaligned access messages

Additional info:
Comment 1 Jaroslav Kortus 2009-06-01 11:31:58 EDT
restoring metadata produces couple of more unaligned accesses:

gfs2_edit(20750): unaligned access to 0x600000000005902e, ip=0x400000000004d160
gfs2_edit(20750): unaligned access to 0x6000000000059046, ip=0x400000000004d5a0
gfs2_edit(20750): unaligned access to 0x600000000005904e, ip=0x400000000004d5f0
gfs2_edit(20750): unaligned access to 0x600000000005905a, ip=0x400000000004ce61
gfs2_edit(20750): unaligned access to 0x6000000000059062, ip=0x400000000004ceb0
Comment 2 Jaroslav Kortus 2009-06-03 08:57:59 EDT
# gfs2_edit -p rg 0 /dev/sdc1
gfs2_edit(23882): unaligned access to 0x60000fffffdc755c, ip=0x400000000004e151
gfs2_edit(23882): unaligned access to 0x60000fffffdc756c, ip=0x400000000004e1f0
Comment 3 Robert Peterson 2009-06-30 17:42:56 EDT
I'm sure we can fix this; setting devel_ack.
Comment 4 Robert Peterson 2009-07-17 16:36:38 EDT
Created attachment 354204 [details]
Patch to fix the problem

This patch fixes the savemeta, restoremeta and rgrp print problems
with unaligned access.
Comment 5 Robert Peterson 2009-07-19 00:51:31 EDT
The patch was pushed to the master branch of the gfs2-utils git
tree, and the RHEL5, STABLE2 and STABLE3 branches of the cluster
git tree for inclusion into 5.5.  Changing status to Modified.
The RHEL5 version was tested on link-13 and the upstream version
was tested on system "kool".
Comment 6 Robert Peterson 2009-08-17 12:22:31 EDT
Pushed to the RHEL55 branch of cluster.git.  Changing status to POST.
Comment 7 Robert Peterson 2009-08-19 10:08:28 EDT
Built according to the new procedure.  Changing to Modified.
Comment 12 errata-xmlrpc 2010-03-30 04:53:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0287.html

Note You need to log in before you can comment on or make changes to this bug.